!応急橋のせん断補正係数と3点曲げ試験のたわみの理論値、
!等曲げ試験のたわみの理論値を出すプログラム
implicit real*8(a-h, o-z)
open(7,file='outakasa-tawamir-kata.dat')
open(8,file='outakasa-tawamir-tou.dat')
h2=0.23d0
do i=24,90
b1=0.120d0!角材の幅
b2=0.024d0!合板の幅
h1=0.120d0!角材の高さ
h2=h2+0.01d0
h3=h2-h1*2.0d0!真ん中の合板の長さ
ell=5.00d0!スパンの半分
ell2=ell/2.0d0
ell3=1.30d0!等曲げ試験の荷重までの距離
e=5.69d9!ヤング率
g=e/15d0!せん断弾性係数
p3ten=4.016d4!荷重の半分
p3ten2=p3ten/2.0d0
ptoumage=6.013d4
ptoumage2=ptoumage/2.0d0
kakun=6.0d0!角材の数(計算で使うから一応実数)
goun=5.0d0!合板の数(計算で使うから一応実数)
dmenseki=b1*h1*kakun*2.0d0+b2*h2*goun!断面積
dniji=(b1*kakun+b2*goun)*(h2**3)/12.0d0&
&-(b1*kakun)*(h3**3)/12.0d0!断面2次モーメント
hakob=b1+b2/2.0d0!cowperのb
hakoh=h2-h1!cowperのh
hakom=hakob*h1/(hakoh*(b2/2.0d0))!cowperのm
hakom2=hakom**2!cowperのm**2
hakom3=hakom**3!cowperのm**3
hakon=hakob/hakoh!cowperのn
hakon2=hakon**2!cowperのn**2
hakok=(10.0d0*(1.0d0+3.0d0*hakom)**2)&
/((12.0d0+72.0d0*hakom+150.0d0*hakom2+90.0d0*hakom3)&
&+10.0d0*hakon2*(3.0d0*hakom+3.0d0*hakom2))!cowperのk
syotou3ten=(p3ten2*ell2**3)/(3.0d0*e*dniji)!初等梁理論値(3点曲げ)
timo3ten=syotou3ten+&
&(p3ten2*ell2)/(hakok*g*dmenseki)!ティモシェンコ理論値(3点曲げ)
syotoutoumage=(ptoumage2*ell3*(3.0d0*ell**2-4.0d0*ell3**2))&
&/(24.0d0*e*dniji)!初等梁理論値(等曲げ)
timotoumage=syotoutoumage&
&+(ptoumage2*ell3)/(hakok*g*dmenseki)!ティモシェンコ理論値(等曲げ)
timowarusyotou3ten=timo3ten/syotou3ten
timowarusyotoutoumage=timotoumage/syotoutoumage
write(7,'(1pe13.5,a,1pe13.5)') h2,' ',timowarusyotou3ten
write(8,'(1pe13.5,a,1pe13.5)') h2,' ',timowarusyotoutoumage
end do
close(7)
close(8)
end
